/**
 * 
 */
package hu.bme.mit.books.model;

/**
 * A class for storing books. The class stores for each book its title, author,
 * the number of its pages and whether it has been read or not.
 * 
 * @author meres
 * 
 */
public class Book {

	String title, author;
	int pageNum;
	boolean read;

	public String getTitle() {
		return title;
	}

	/**
	 * Sets the title.
	 * 
	 * @param title
	 *            the new title
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Gets the author.
	 * 
	 * @return the author
	 */
	public String getAuthor() {
		return author;
	}

	/**
	 * Sets the author.
	 * 
	 * @param author
	 *            the new author
	 */
	public void setAuthor(String author) {
		this.author = author;
	}

	/**
	 * Gets the page num.
	 * 
	 * @return the page num
	 */
	public int getPageNum() {
		return pageNum;
	}

	/**
	 * Sets the page num.
	 * 
	 * @param pageNum
	 *            the new page num
	 */
	public void setPageNum(int pageNum) {
		this.pageNum = pageNum;
	}

	/**
	 * Checks if is read.
	 * 
	 * @return true, if is read
	 */
	public boolean isRead() {
		return read;
	}

	/**
	 * Sets the read.
	 * 
	 * @param read
	 *            the new read
	 */
	public void setRead(boolean read) {
		this.read = read;
	}

	@Override
	public String toString() {
		return author + ": " + title + " (" + pageNum + " pages), read=" + read;
	}
}
